[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]
  [[> :templateBreadcrumb uri=":manageTerms" label="Manage Terms" tab="keywords"]]
  [[#if (urlParam "resiri")]]
      <li class="breadcrumb-item">
        <semantic-query
          query='SELECT ?type ?type_name WHERE
            {
              ?type ecrm:P3_has_note ?type_name .
              BIND(<[[urlParam "resiri"]]> as ?type)
             }'
          template='{{#each bindings}}
            <semantic-link uri=":viewKeyword" urlqueryparam-keywordtypeiri="{{type.value}}">{{type_name.value}}</semantic-link>
          {{/each}}'>
        </semantic-query>
      </li>
  [[/if]]
</ol>

[[#if (urlParam "resiri")]]
  <h2>Edit keyword</h2>
[[else]]
  <h2>Add new keyword</h2>
[[/if]]
<semantic-form
  persistence='LDP'
	browser-persistence='false'
  [[#if (urlParam "noredirect")]]
  [[else]]
    post-action='http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms'
    urlqueryparam-tab='keywords'
  [[/if]]
  fields="[[fieldDefinitions
 			keyword_type_member="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/keyword_type_member"
  		label="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/has_note"
      record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/type_record_type"
  ]]"
  [[#if (urlParam "resiri")]]
    subject="[[urlParam "resiri"]]"
  [[else]]
    subject="[[singleValueFromSelect "SELECT ?newIRI WHERE { BIND(uri(concat(\"http://sphaera.mpiwg-berlin.mpg.de/id/thes/type/keyword/\",STRUUID())) as ?newIRI)}"]]"
  [[/if]]
>
 	<semantic-form-text-input for="label"></semantic-form-text-input>

  <div class="disabled hidden-field">
    <semantic-form-text-input for="keyword_type_member"></semantic-form-text-input>
    <semantic-form-text-input for="record_type"></semantic-form-text-input>
  </div>

  <div class="text-right form-submit">
     <semantic-link uri="http://sphaera.mpiwg-berlin.mpg.de/resource/manageTerms" urlqueryparam-tab="keywords" class="btn btn-default">Cancel</semantic-link>
     <button name="submit" class="btn btn-primary">Save</button>
  </div>

</semantic-form>


[[#if (urlParam "resiri")]]
  <div>
    <semantic-link
        uri=":deleteResource"
        urlqueryparam-resiri="[[urlParam "resiri"]]"
        urlqueryparam-back=":manageTerms"
        urlqueryparam-tab="keywords"
        urlqueryparam-backtitle="Manage Terms"
      >
        Delete Keyword
      </semantic-link>
    </div>
[[/if]]

[[> :footer]]
